Firefox stays in memory after closing (involves hellomagazine.com popup)



After closing FireFox it stays in memory and I can not start firefox one more time.




Have all windows closed
Start Firefox and go to www.hellomagazine.com
You see "the latest news" picture almost in the center of the page
Click it
You moved to latest news page with  pictures about it
You clock any of  picture
You are getting a pop-up windows with arrows to browse the pictures
At this moment those arrows are working
You close parent window



In child (pop-up) window buttons-arrows to browse the images stop working. Even after closing of this pop-up window Firefox stays in memory. You can check that by Windows Taks Manager. And you can not start FireFox one more time.


Pop-up window continues working after closing of a parent window.
I can close and start Firefox anytime

This works well in MS IE whith IE 
I like how your browser looks like.
